#include <QtGui/QGuiApplication>
#include <QQmlError>
#include <QQuickView>
#include <QQuickItem>
#include <QQuickPaintedItem>
#include <QQmlComponent>
#include <QQmlContext>
#include <QImage>

class CanvasPrinter : public QQuickItem
{
	Q_OBJECT

	QImage m_image;

public slots:
	bool save(const QString &fileName, const QString &fileFormat, int quality);
	bool setFromData(QVariantList data, int width, int height);
	void clear();

private:
	static void imageCleanupHandler(void *info);
};

class CanvasApp : public QQuickView
{
	Q_OBJECT

public:
	explicit CanvasApp(const QString &path);
};

